eth_blockNumber - Peaq
Example code for the eth_blockNumber JSON-RPC method. Complete guide on how to use eth_blockNumber JSON-RPC in GetBlock Web3 documentation.
Returns the number of the most recent block, as a hex integer.
Parameters
This method takes no parameters.
Request
curl --location --request POST 'https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
"jsonrpc": "2.0",
"id": "getblock.io",
"method": "eth_blockNumber",
"params": []
}'const axios = require('axios');
const response = await axios.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', { jsonrpc: '2.0', id: 'getblock.io', method: 'eth_blockNumber', params: [] }, { headers: { 'Content-Type': 'application/json' } });
console.log(response.data.result);import requests
response = requests.post('https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/', headers={'Content-Type': 'application/json'}, json={'jsonrpc': '2.0', 'id': 'getblock.io', 'method': 'eth_blockNumber', 'params': []})
print(response.json())use reqwest::Client;
use serde_json::{json, Value};
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Client::new();
let res = client.post("https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/").json(&json!({"jsonrpc":"2.0","id":"getblock.io","method":"eth_blockNumber","params":[]})).send().await?.json::<Value>().await?;
println!("{}", res["result"]);
Ok(())
}Response
{
"jsonrpc": "2.0",
"id": "getblock.io",
"result": "0x1a4b7c"
}Response Parameters
Field
Type
Description
jsonrpc
string
JSON-RPC version ("2.0")
id
string
Request identifier ("getblock.io")
result
varies
The method result (see example above)
Use Cases
Programmatic access to the
eth_blockNumbermethod on peaqIntegrations, indexing, and tooling built on the peaq node API
Error Handling
Error
Message
Description
-32602
Invalid params
A parameter was missing or malformed
-32601
Method not found
The method name is not exposed by the node
403 / RBAC: access denied
Access denied
The GetBlock access token is missing or incorrect
Was this helpful?